Migration error


#1

Hi all

I’m getting an error when running rake db:migrate :-

rake aborted!
uninitialized constant PKG_NAME

I’m not sure what PKG_NAME is refering to, has anyone else had this
same issue or does anyone have an idea what could be causing this?

Hope someone can help.

Many thanks
KK


#2

On Oct 23, 7:12 pm, KoBrAKai removed_email_address@domain.invalid wrote:

Hi all

I’m getting an error when running rake db:migrate :-

rake aborted!
uninitialized constant PKG_NAME

I’m not sure what PKG_NAME is refering to, has anyone else had this
same issue or does anyone have an idea what could be causing this?

What does the backtrace look like? Do you reference such a constant
anywhere in your app?

Fred


#3

Hi Fred

Thanks for responding.

If I run db:migrate --trace

rake aborted!
uninitialized constant PKG_NAME
/usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/
dependencies.rb:270:in load_missing_constant' /usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/ dependencies.rb:457:inconst_missing’
/usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/
dependencies.rb:469:in const_missing' /mnt/home/userapps/4380/vendor/gems/uuidtools-1.0.4/tasks/gem.rake:5 /usr/local/lib/site_ruby/1.8/rubygems/specification.rb:443:ininitialize’
/mnt/home/userapps/4380/vendor/gems/uuidtools-1.0.4/tasks/gem.rake:
4:in new' /mnt/home/userapps/4380/vendor/gems/uuidtools-1.0.4/tasks/gem.rake:4 /usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1737:inin_namespace’
/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:821:in namespace' /mnt/home/userapps/4380/vendor/gems/uuidtools-1.0.4/tasks/gem.rake:3 /usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/ dependencies.rb:493:inload’
/usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/
dependencies.rb:493:in load' /usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/ dependencies.rb:346:innew_constants_in’
/usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/
dependencies.rb:493:in load' /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/tasks/rails.rb:9 /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/tasks/rails.rb:9:ineach’
/usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/tasks/rails.rb:9
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in
gem_original_require' /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:inrequire’
/mnt/home/userapps/4380/Rakefile:10
/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:2149:in load' /usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:2149:inraw_load_rakefile’
/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1897:in
load_rakefile' /usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1948:instandard_exception_handling’
/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1896:in
load_rakefile' /usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1880:inrun’
/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1948:in
standard_exception_handling' /usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1878:inrun’
/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/bin/rake:31
/usr/bin/rake:19:in `load’
/usr/bin/rake:19

Any ideas?

Craig